\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{conjugationtables}[2025/01/22 Conjugation Tables]

\LoadClass[12pt]{scrartcl}

\RequirePackage{kvoptions}

\SetupKeyvalOptions{
  family=ct,
  prefix=ct@
}

\DeclareStringOption{language}

\ProcessKeyvalOptions*

\RequirePackage[\ct@language]{babel}
\RequirePackage[margin=2cm]{geometry}
\RequirePackage{multicol}
\RequirePackage{tabularx}
\RequirePackage{tcolorbox}
\RequirePackage[table]{xcolor}

\pagestyle{empty}
\renewcommand{\familydefault}{\sfdefault}
\rowcolors{1}{black!5!white}{white}

\newtcolorbox{contable}[1]{before title={\setcounter{rownum}{0}}, title={\textbf{#1}}, tabularx={l|X}}
